Bug 1745 - Please a real wiki.. please..
: Please a real wiki.. please..
Status: RESOLVED FIXED
Product: maemo.org Website
Wiki
: unspecified
: All Linux
: Low normal with 4 votes (vote)
: ---
Assigned To: Dave Neary
: midgard@maemo.org
:
:
:
:
  Show dependency tree
 
Reported: 2007-08-02 15:02 UTC by Marc-Andre Lureau
Modified: 2008-06-10 18:30 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Marc-Andre Lureau (reporter) nokia 2007-08-02 15:02:02 UTC
- screen is narrow
 - no theme available (I rather like something simpler, wider, with different
font sizes)
 - you cannot see recent changes
 - layout is weird (unrelated links on the rights, inside the wiki content)
 - it disconnect me when I left the page (!!!!!!!) and I have to log again!!
 - Midgrad toolbar!
 - edit is... not convenient AT ALL
 - 3 differents passwords for the different services (bugzilla, midgrad, sf)..
 - don't know where to edit my settings: mail, pages I have subscribed, ...

Really, wikipedia, moinmoin, doku are doing a wiki-job. Even trac wiki is 10x
better..


The current wiki is frustrating me. That's why I no longer use it.
If I am the only one to complain, then I must have a pb :)

Please do something, I am sick ;)
Comment 1 Ferenc Szekely maemo.org 2007-08-02 15:11:11 UTC
Well, your bug report was not really stylish, so here is my reply:

-screen is narrow to support our theme and make the site work on tablets
-this wiki is not theme-able
-layout is weird? screenshots please.
-what disconnects you?
-what is wrong with the midgard toolbar?
-edit is not convenient? what is exactly your problem with the editing? the
syntax? the small toolbar that helps you to pick some of the most frequently
used wiki elements?
-3 diff passwords is actually 2 only: garage and bugzilla. bugzilla accounts
will be synched at some point. sf? you refer to sourceforge? we have no
sourceforge...
-user profiling is tricky. you partially use garage and midgard.

Have you used the previous wiki? If so, then where were you when we asked for
testing the new wiki back at 'test.maemo.org'? Which pages did you maintain in
the previous wiki?
Comment 2 Marc-Andre Lureau (reporter) nokia 2007-08-02 15:39:30 UTC
(In reply to comment #1)
> Well, your bug report was not really stylish, so here is my reply:

Sorry, I didn't know how to express my feeling in a different manner. I was
certain that some people were already complaining and some other working on
that issue. But it seems no. Just closing the bug shows that nobody want to
take care of the wiki usability!

> -screen is narrow to support our theme and make the site work on tablets

Sure, I understand. It does not mean that it should not be good at displaying
on wide screen. What if I use it on my desktop. AFAIK, most of the developpers
work on their laptops, not on the device :)

> -this wiki is not theme-able

Is there any reason to stuck people to the maemo style. When you want to be
productive, you really want your tools to be there as you like them. Take for
instance moinmoin, people just have different layout and different actions
depending on how they use the wiki. The same is true for almost all the wiki I
use.

> -layout is weird? screenshots please.

Common, having the community links on all wiki pages, *inside* the wiki content
is just inconvenient and useless. 

> -what disconnects you?

Each time I move away or reopen a wiki link from outside. Ex: one page is
logged in. If I search something in google, and get a link in the maemo wiki, I
won't be logged in!

> -what is wrong with the midgard toolbar?

Floating bars... its so '97 Furthermore, important stuffs are in submenu. You
don't see them when they should be just always at the same place: 

Subscribe/unsuscribe,
search by index/index
edit
help/syntax

> -edit is not convenient? what is exactly your problem with the editing? the
> syntax? the small toolbar that helps you to pick some of the most frequently
> used wiki elements?

It's even smaller when it should be actually "bigger"

> -3 diff passwords is actually 2 only: garage and bugzilla. bugzilla accounts
> will be synched at some point. sf? you refer to sourceforge? we have no
> sourceforge...

yes, but each time I move, it ask me to log in!

> -user profiling is tricky. you partially use garage and midgard.

I can understand. At least it would be good to know that someone is taking care
to simplify that.

> Have you used the previous wiki? 

Yes, it was a moinmoin wiki, with bad encoding default property, AFAIR.

> If so, then where were you when we asked for
> testing the new wiki back at "test.maemo.org"? 

Does that mean that its too late to report bugs? Are stuffs frozen in finnish
ice?

> Which pages did you maintain in
> the previous wiki? 

I contributed to some pages. ApplicationList, SettingUpNetwork, Jhbuild.. this
kind of stuffs. I don't remember exactly, since I have been hired by nokia at
that time and started to use internal wikis instead.

I'll leave you the choice to consider this bug as closed.
Comment 3 Marc-Andre Lureau (reporter) nokia 2007-08-02 15:41:18 UTC
I am also fond of the "recentchanges" feed. It helps me to be up2date.
Comment 4 Marc-Andre Lureau (reporter) nokia 2007-08-02 15:45:07 UTC
Where are the diffs? How to make a diff?
Comment 5 Luc Pionchon nokia 2007-08-03 13:39:31 UTC
(passing by...)

Indeed, not really stylish (...) Though it is right that midgard wiki is
somehow primitive, especially when you have experience with more advanced
wikis.

Marco, I suggest you open new reports with clear _stylish_ requests of
features.

Ferenc, any plan to enhance the wiki? Or use a more advanced one?

Each CMS has its strenghts and weaknesses. I understand that any modern CMS
must ship with a wiki. Does it make it mandatory to use the embedded wiki? I
guess it is just about having uniform theme, and single software maintenance.
Is it that costly? Do we plan to change the theme often?
Comment 6 Felipe Contreras 2007-08-17 12:36:27 UTC
(In reply to comment #1)
> Well, your bug report was not really stylish, so here is my reply:
> 
> -screen is narrow to support our theme and make the site work on tablets

That's a really bad excuse.

First of all if you take a look at the CSS style you'll see that the width is
fixed to 780px. That would look bad in a lot of situations, like any mobile
device with anything less than 800px.

That's lazy web design. If you want it to look good on mobile devices it should
look good enough on different window sizes... liquid design.

There's also the option to have multiple CSS.

> -this wiki is not theme-able

And the only theme is not that good.

> -layout is weird? screenshots please.

Personally I find the vertical menu a little bit weird.

> -what disconnects you?

Try this:
https://maemo.org/community/wiki/

Now this:
http://maemo.org/community/wiki/

Now go back to https, are you logged in or not? In all the sites I know if I
login it doesn't matter how I access the site, I'll see that I'm logged in, or
not.

This is very inconsistent.

> -what is wrong with the midgard toolbar?

What is OK with the Midgard toolbar?

* Flying toolbars are not common for a number of reasons
 * They don't look like part of the site
 * They overlap parts of the site
 * They don't look particularly good on a lot of browsers
 * They look like a script kiddie saying: look ma! no consistency
* You already have two vertical menus, an horizontal menu on the left and now
you are adding a toolbar on the top? And of course the browser already has a
toolbar
* The name of items are not intuitive
* Who cares about what is midgard and their user-forums? I'm on maemo.org

> -edit is not convenient? what is exactly your problem with the editing? the
> syntax? the small toolbar that helps you to pick some of the most frequently
> used wiki elements?

* The invasive "PREVIEW" that barely lets anything else be seen?
* No diff?
* Small width?
* Hard-to-find help?

> -3 diff passwords is actually 2 only: garage and bugzilla. bugzilla accounts
> will be synched at some point. sf? you refer to sourceforge? we have no
> sourceforge...

I think he meant garage, which of course is hard to find because it's in no
menu, it's just there alone, somewhere, waiting for you to stop looking on the
endless menus/toolbars and look in the right spot _only_ in the main page.

> -user profiling is tricky. you partially use garage and midgard.

What? So no preferences either?

> Have you used the previous wiki? If so, then where were you when we asked for
> testing the new wiki back at "test.maemo.org"? Which pages did you maintain in
> the previous wiki? 

I have used mediawiki, moinmoin, trac and so far Midgard is undoubtedly the
worst.


I share Marc-André's sickness.

Please a real wiki!
Comment 7 Quim Gil nokia 2007-08-17 13:56:57 UTC
Hum, this is the type of discussion I would like to have got when I was raising
the question to the maemo lists in July. I guess it's also the type of feedback
Ferenc would like to have got back in March or so when the new site was in
alpha/beta and he was asking for feedback.

But no problem, let's discuss this. Assigning to me by now.
Comment 8 Quim Gil nokia 2007-08-21 12:10:03 UTC
Hi, I have created http://maemo.org/community/wiki/midgardwikievaluation/ with
the question I had asked mysefl to the Midgard guys. I have a,lso created bugs
for all the things I found missing.

I still haven't checked this bug report to gom through the issues, update that
wiki page and file new bugs for each issue. If someone wants to do it, great.
If not, let's see if tomorrow I can continue.
Comment 9 Marc-Andre Lureau (reporter) nokia 2007-08-21 13:30:01 UTC
(In reply to comment #8)
> Hi, I have created http://maemo.org/community/wiki/midgardwikievaluation/ with
> the question I had asked mysefl to the Midgard guys. I have a,lso created bugs
> for all the things I found missing.

Thanks Quim! That is clearly necessary.
Should we keep track of bug dependency here or finally close this bug?
Comment 10 Juha Tukkinen nokia 2007-08-21 14:06:59 UTC
I also added a few bugs both to bugzilla and the wiki page [1]

We have at the time of writing 15 open bugs about the wiki including this one.
Marc-Andre, feel free to close this bug when you think all your issues are
addressed by some other bug!

[1] http://maemo.org/community/wiki/midgardwikievaluation/
Comment 11 Quim Gil nokia 2007-10-12 07:40:07 UTC
I have done my part, now the responsibility is under Juha. Reassigning.
Comment 12 Ryan Abel maemo.org 2008-05-19 04:13:05 UTC
I think this one can be safely resolved now.

https://wiki.maemo.org/index.php/Main_Page
Comment 13 Dave Neary maemo.org 2008-05-19 10:24:28 UTC
Hi,

I had planned on keeping this one open until we'd migrated over the old wiki.

Assigning to myself so that I don't forget to close it again later.

Dave.
Comment 14 Dave Neary maemo.org 2008-06-10 18:30:33 UTC
I'm closing this bug as FIXED - we now have MediaWiki installed, and are in the
process of completing content migration from Midgard's wiki. Progress on that
migration can be followed at http://wiki.maemo.org/Maemowiki_Action_Group and
the categorisation/review of old content in the categorization page at
http://wiki.maemo.org/MAG:Categorization

If you would like to review and edit content pages migrated from the Midgard
wiki and not yet reviewed are gathered together at
http://wiki.maemo.org/Category:Midgard_wiki